<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('hidden_links', function (Blueprint $table) {
            $table->unsignedBigInteger('domain_id')->nullable()->after('batch_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('hidden_links', function (Blueprint $table) {
            $table->dropColumn('domain_id');
        });
    }
};
